Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.cms.impl
Class CMSPackageImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.ecore.impl.FlatEObjectImpl
                      org.eclipse.emf.ecore.impl.EModelElementImpl
                          org.eclipse.emf.ecore.impl.ENamedElementImpl
                              org.eclipse.emf.ecore.impl.EPackageImpl
                                  org.eclipse.ohf.ihe.common.ebxml._3._0.cms.impl.CMSPackageImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.ecore.InternalEObject, org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, CMSPackage

    public class CMSPackageImpl

extends org.eclipse.emf.ecore.impl.EPackageImpl
implements CMSPackage

An implementation of the model Package.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.cms.CMSPackage
`CMSPackage.Literals`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.cms.CMSPackage
`CATALOG_CONTENT_REQUEST_TYPE, CATALOG_CONTENT_REQUEST_TYPE__COMMENT, CATALOG_CONTENT_REQUEST_TYPE__ID, CATALOG_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE, CATALOG_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT, CATALOG_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST, CATALOG_CONTENT_REQUEST_TYPE_FEATURE_COUNT, CATALOG_CONTENT_RESPONSE_TYPE, CATALOG_CONTENT_RESPONSE_TYPE__CATALOGED_CONTENT, CATALOG_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST, CATALOG_CONTENT_RESPONSE_TYPE__REQUEST_ID, CATALOG_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST, CATALOG_CONTENT_RESPONSE_TYPE__STATUS, CATALOG_CONTENT_RESPONSE_TYPE_FEATURE_COUNT, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__COMMENT, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ID, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__INVOCATION_CONTROL_FILE, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__ORIGINAL_CONTENT, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE__REQUEST_SLOT_LIST, CONTENT_MANAGEMENT_SERVICE_REQUEST_TYPE_FEATURE_COUNT, CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE, CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REGISTRY_ERROR_LIST, CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__REQUEST_ID, CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__RESPONSE_SLOT_LIST, CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE__STATUS, CONTENT_MANAGEMENT_SERVICE_RESPONSE_TYPE_FEATURE_COUNT, DOCUMENT_ROOT, DOCUMENT_ROOT__CATALOG_CONTENT_REQUEST, DOCUMENT_ROOT__CATALOG_CONTENT_RESPONSE, DOCUMENT_ROOT__MIXED, DOCUMENT_ROOT__VALIDATE_CONTENT_REQUEST, DOCUMENT_ROOT__VALIDATE_CONTENT_RESPONSE, DOCUMENT_ROOT__XMLNS_PREFIX_MAP, DOCUMENT_ROOT__XSI_SCHEMA_LOCATION, DOCUMENT_ROOT_FEATURE_COUNT, eINSTANCE, eNAME, eNS_PREFIX, eNS_URI, VALIDATE_CONTENT_REQUEST_TYPE, VALIDATE_CONTENT_REQUEST_TYPE__COMMENT, VALIDATE_CONTENT_REQUEST_TYPE__ID, VALIDATE_CONTENT_REQUEST_TYPE__INVOCATION_CONTROL_FILE, VALIDATE_CONTENT_REQUEST_TYPE__ORIGINAL_CONTENT, VALIDATE_CONTENT_REQUEST_TYPE__REQUEST_SLOT_LIST, VALIDATE_CONTENT_REQUEST_TYPE_FEATURE_COUNT, VALIDATE_CONTENT_RESPONSE_TYPE, VALIDATE_CONTENT_RESPONSE_TYPE__REGISTRY_ERROR_LIST, VALIDATE_CONTENT_RESPONSE_TYPE__REQUEST_ID, VALIDATE_CONTENT_RESPONSE_TYPE__RESPONSE_SLOT_LIST, VALIDATE_CONTENT_RESPONSE_TYPE__STATUS, VALIDATE_CONTENT_RESPONSE_TYPE_FEATURE_COUNT`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`void` | `createPackageContents()` Creates the meta-model objects for the package.
`org.eclipse.emf.ecore.EClass` | `getCatalogContentRequestType()`
`org.eclipse.emf.ecore.EReference` | `getCatalogContentResponseType_CatalogedContent()`
`org.eclipse.emf.ecore.EClass` | `getCatalogContentResponseType()`
`CMSFactory` | `getCMSFactory()`
`org.eclipse.emf.ecore.EReference` | `getContentManagementServiceRequestType_InvocationControlFile()`
`org.eclipse.emf.ecore.EReference` | `getContentManagementServiceRequestType_OriginalContent()`
`org.eclipse.emf.ecore.EClass` | `getContentManagementServiceRequestType()`
`org.eclipse.emf.ecore.EClass` | `getContentManagementServiceResponseType()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CatalogContentRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_CatalogContentResponse()`
`org.eclipse.emf.ecore.EAttribute` | `getDocumentRoot_Mixed()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ValidateContentRequest()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_ValidateContentResponse()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XMLNSPrefixMap()`
`org.eclipse.emf.ecore.EReference` | `getDocumentRoot_XSISchemaLocation()`
`org.eclipse.emf.ecore.EClass` | `getDocumentRoot()`
`org.eclipse.emf.ecore.EClass` | `getValidateContentRequestType()`
`org.eclipse.emf.ecore.EClass` | `getValidateContentResponseType()`
`static CMSPackage` | `init()` Creates, registers, and initializes the Package for this model, and for any others upon which it depends.
`void` | `initializePackageContents()` Complete the initialization of the package and its meta-model.

Methods inherited from class org.eclipse.emf.ecore.impl.EPackageImpl
`basicGetESuperPackage, basicSetEFactoryInstance, eBasicRemoveFromContainerFeature, eGet, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eSet, eSetProxyURI, eUnset, freeze, getEClassifier, getEClassifierGen, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getExtendedMetaData, getNsPrefix, getNsURI, setEFactoryInstance, setExtendedMetaData, setNamespaceURI, setNsPrefix, setNsURI, toString`

Methods inherited from class org.eclipse.emf.ecore.impl.ENamedElementImpl
`getName, getNameGen, setName`

Methods inherited from class org.eclipse.emf.ecore.impl.EModelElementImpl
`eURIFragmentSegment, getEAnnotation, getEAnnotations`

Methods inherited from class org.eclipse.emf.ecore.impl.FlatEObjectImpl
`eContents, eCrossReferences, eIsProxy, eProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eSetClass, eSetDeliver`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eIsSet, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### init

    public static CMSPackage init()

  Creates, registers, and initializes the Package for this model, and for any others upon which it depends. Simple dependencies are satisfied by calling this method on all dependent packages before doing anything else. This method drives initialization for interdependent packages directly, in parallel with this package, itself.

  Of this package and its interdependencies, all packages which have not yet been registered by their URI values are first created and registered. The packages are then initialized in two steps: meta-model objects for all of the packages are created before any are initialized, since one package's meta-model objects may refer to those of another.

  Invocation of this method will not affect any packages that have already been initialized.

  See Also:
    `CMSPackage.eNS_URI`, `createPackageContents()`, `initializePackageContents()`

### getCatalogContentRequestType

    public org.eclipse.emf.ecore.EClass getCatalogContentRequestType()

  Specified by:
    `getCatalogContentRequestType` in interface `CMSPackage`
  Returns:
    the meta object for class 'Catalog Content Request Type'.
  See Also:
    `CatalogContentRequestType`

### getCatalogContentResponseType

    public org.eclipse.emf.ecore.EClass getCatalogContentResponseType()

  Specified by:
    `getCatalogContentResponseType` in interface `CMSPackage`
  Returns:
    the meta object for class 'Catalog Content Response Type'.
  See Also:
    `CatalogContentResponseType`

### getCatalogContentResponseType_CatalogedContent

    public org.eclipse.emf.ecore.EReference getCatalogContentResponseType_CatalogedContent()

  Specified by:
    `getCatalogContentResponseType_CatalogedContent` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference 'Cataloged Content'.
  See Also:
    `CatalogContentResponseType.getCatalogedContent()`, `CMSPackage.getCatalogContentResponseType()`

### getContentManagementServiceRequestType

    public org.eclipse.emf.ecore.EClass getContentManagementServiceRequestType()

  Specified by:
    `getContentManagementServiceRequestType` in interface `CMSPackage`
  Returns:
    the meta object for class 'Content Management Service Request Type'.
  See Also:
    `ContentManagementServiceRequestType`

### getContentManagementServiceRequestType_OriginalContent

    public org.eclipse.emf.ecore.EReference getContentManagementServiceRequestType_OriginalContent()

  Specified by:
    `getContentManagementServiceRequestType_OriginalContent` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference 'Original Content'.
  See Also:
    `ContentManagementServiceRequestType.getOriginalContent()`, `CMSPackage.getContentManagementServiceRequestType()`

### getContentManagementServiceRequestType_InvocationControlFile

    public org.eclipse.emf.ecore.EReference getContentManagementServiceRequestType_InvocationControlFile()

  Specified by:
    `getContentManagementServiceRequestType_InvocationControlFile` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference list 'Invocation Control File'.
  See Also:
    `ContentManagementServiceRequestType.getInvocationControlFile()`, `CMSPackage.getContentManagementServiceRequestType()`

### getContentManagementServiceResponseType

    public org.eclipse.emf.ecore.EClass getContentManagementServiceResponseType()

  Specified by:
    `getContentManagementServiceResponseType` in interface `CMSPackage`
  Returns:
    the meta object for class 'Content Management Service Response Type'.
  See Also:
    `ContentManagementServiceResponseType`

### getDocumentRoot

    public org.eclipse.emf.ecore.EClass getDocumentRoot()

  Specified by:
    `getDocumentRoot` in interface `CMSPackage`
  Returns:
    the meta object for class 'Document Root'.
  See Also:
    `DocumentRoot`

### getDocumentRoot_Mixed

    public org.eclipse.emf.ecore.EAttribute getDocumentRoot_Mixed()

  Specified by:
    `getDocumentRoot_Mixed` in interface `CMSPackage`
  Returns:
    the meta object for the attribute list 'Mixed'.
  See Also:
    `DocumentRoot.getMixed()`, `CMSPackage.getDocumentRoot()`

### getDocumentRoot_XMLNSPrefixMap

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XMLNSPrefixMap()

  Specified by:
    `getDocumentRoot_XMLNSPrefixMap` in interface `CMSPackage`
  Returns:
    the meta object for the map 'XMLNS Prefix Map'.
  See Also:
    `DocumentRoot.getXMLNSPrefixMap()`, `CMSPackage.getDocumentRoot()`

### getDocumentRoot_XSISchemaLocation

    public org.eclipse.emf.ecore.EReference getDocumentRoot_XSISchemaLocation()

  Specified by:
    `getDocumentRoot_XSISchemaLocation` in interface `CMSPackage`
  Returns:
    the meta object for the map 'XSI Schema Location'.
  See Also:
    `DocumentRoot.getXSISchemaLocation()`, `CMSPackage.getDocumentRoot()`

### getDocumentRoot_CatalogContentRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_CatalogContentRequest()

  Specified by:
    `getDocumentRoot_CatalogContentRequest` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference 'Catalog Content Request'.
  See Also:
    `DocumentRoot.getCatalogContentRequest()`, `CMSPackage.getDocumentRoot()`

### getDocumentRoot_CatalogContentResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_CatalogContentResponse()

  Specified by:
    `getDocumentRoot_CatalogContentResponse` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference 'Catalog Content Response'.
  See Also:
    `DocumentRoot.getCatalogContentResponse()`, `CMSPackage.getDocumentRoot()`

### getDocumentRoot_ValidateContentRequest

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ValidateContentRequest()

  Specified by:
    `getDocumentRoot_ValidateContentRequest` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference 'Validate Content Request'.
  See Also:
    `DocumentRoot.getValidateContentRequest()`, `CMSPackage.getDocumentRoot()`

### getDocumentRoot_ValidateContentResponse

    public org.eclipse.emf.ecore.EReference getDocumentRoot_ValidateContentResponse()

  Specified by:
    `getDocumentRoot_ValidateContentResponse` in interface `CMSPackage`
  Returns:
    the meta object for the containment reference 'Validate Content Response'.
  See Also:
    `DocumentRoot.getValidateContentResponse()`, `CMSPackage.getDocumentRoot()`

### getValidateContentRequestType

    public org.eclipse.emf.ecore.EClass getValidateContentRequestType()

  Specified by:
    `getValidateContentRequestType` in interface `CMSPackage`
  Returns:
    the meta object for class 'Validate Content Request Type'.
  See Also:
    `ValidateContentRequestType`

### getValidateContentResponseType

    public org.eclipse.emf.ecore.EClass getValidateContentResponseType()

  Specified by:
    `getValidateContentResponseType` in interface `CMSPackage`
  Returns:
    the meta object for class 'Validate Content Response Type'.
  See Also:
    `ValidateContentResponseType`

### getCMSFactory

    public CMSFactory getCMSFactory()

  Specified by:
    `getCMSFactory` in interface `CMSPackage`
  Returns:
    the factory that creates the instances of the model.

### createPackageContents

    public void createPackageContents()

  Creates the meta-model objects for the package. This method is guarded to have no affect on any invocation but its first.

### initializePackageContents

    public void initializePackageContents()

  Complete the initialization of the package and its meta-model. This method is guarded to have no affect on any invocation but its first.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD